Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 636206 - dev-lang/perl includes xlocale.h in perl.h -> breakage with glibc-2.26 update
Summary: dev-lang/perl includes xlocale.h in perl.h -> breakage with glibc-2.26 update
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Perl team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: xlocale.h glibc-2.26-stable
  Show dependency tree
 
Reported: 2017-11-01 19:48 UTC by Andreas K. Hüttel
Modified: 2018-04-30 12:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas K. Hüttel archtester gentoo-dev 2017-11-01 19:48:10 UTC
dev-lang/perl includes xlocale.h in perl.h -> breakage with glibc-2.26 update

In file included from Quota.xs:5:0:
/usr/lib/perl5/5.26.1/i686-linux/CORE/perl.h:738:24: fatal error: xlocale.h: No such file or directory
 #   include <xlocale.h>
                        ^
compilation terminated.
Comment 1 Andreas K. Hüttel archtester gentoo-dev 2017-11-01 21:05:45 UTC
commit 3090f9bcb03ab409e2640b9560f58782eac87146 (HEAD -> master, origin/master, origin/HEAD)
Author: Andreas K. Hüttel <dilfridge@gentoo.org>
Date:   Wed Nov 1 22:04:39 2017 +0100

    dev-lang/perl: Dont include xlocale.h in perl.h, bug 636206
    
    Package-Manager: Portage-2.3.13, Repoman-2.3.4

 dev-lang/perl/perl-5.26.1-r1.ebuild | 624 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 dev-lang/perl/perl-5.26.9999.ebuild |   1 +
 dev-lang/perl/perl-5.28.9999.ebuild |   1 +
 3 files changed, 626 insertions(+)
Comment 2 Andreas K. Hüttel archtester gentoo-dev 2018-04-28 18:33:11 UTC
Ugh. We need to fix that also for 5.24 and stabilize...
Comment 3 Andreas K. Hüttel archtester gentoo-dev 2018-04-30 12:06:55 UTC
(In reply to Andreas K. Hüttel from comment #2)
> Ugh. We need to fix that also for 5.24 and stabilize...

It's actually already fixed in 5.24.3-r1, which is stable.